<template lang="pug">
table.w-full.shadow.rounded.overflow-hidden
  thead.border-b
    tr
      th.text-sm.font-medium.text-gray-900.px-6.py-4.text-left(scope="col") Title
      th.text-sm.font-medium.text-gray-900.px-6.py-4.text-left(scope="col") Description
      th.text-sm.font-medium.text-gray-900.px-6.py-4.text-left(scope="col") Actions
  tbody
    tr.border-b(v-for="activity in activities")
      td.text-sm.text-gray-900.px-6.py-4.whitespace-nowrap  
        .flex.flex-col.gap-1
          span {{activity.title}}
      td.text-sm.text-gray-900.px-6.py-4.whitespace-nowrap  
        .flex.flex-col.gap-1
          span {{activity.description}}
      td.text-sm.text-gray-900.px-6.py-4
        .flex.flex-col.gap-1
          button.bg-red-700.text-gray-200.p-2.rounded(@click="deleteItem(activity.id)")
            svg(xmlns="http://www.w3.org/2000/svg" class="h-6 w-6" fill="none" viewBox="0 0 24 24" stroke="currentColor" stroke-width="2")
              path(stroke-linecap="round" stroke-linejoin="round" d="M19 7l-.867 12.142A2 2 0 0116.138 21H7.862a2 2 0 01-1.995-1.858L5 7m5 4v6m4-6v6m1-10V4a1 1 0 00-1-1h-4a1 1 0 00-1 1v3M4 7h16")
</template>
<script>
export default {
  data: () => ({
    activities: [],
  }),
  async created() {
    const userId = this.$route.params.id
    const user = this.$auth.getUser()

    this.activities = await this.$api.get(`/activity/${userId || user.sub}`)
  },
  methods: {
    async deleteItem(activity_id) {
      const user = this.$auth.getUser()
      await this.$api.delete(`/activity/${user.sub}/${activity_id}`)
      this.activities = await this.$api.get(`/activity/${user.sub}`)
    },
  },
}
</script>
